@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  scroll-behavior: smooth;
  font-family: "Poppins", sans-serif;
}

:root {
  --bg-color: #1b1b1b;
  --second-bg-color: #333333;
  --text-color: #ededed;
  --main-color: #7e7e7e;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  background: var(--bg-color);
  color: var(--text-color);
}
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 2rem 9%;
  background: transparent;
  display: flex;
  justify-content: space-between;
  align-items: center;
  backdrop-filter: blur(10px);
  border-bottom: 2px solid rgba(255, 255, 255, 0.2);
  z-index: 100;
  transition: 0.3s;
}
/* navbar scroll  */
.header.sticky {
  background: transparent;
  border-bottom: 0px solid rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(0px);
}
.logo {
  position: relative;
  font-size: 2.5rem;
  color: var(--main-color);
  font-weight: 600;
}
/* navbar */
.navbar {
  position: relative;
}
.navbar a {
  font-size: 1.7rem;
  color: var(--text-color);
  font-weight: 500;
  margin-left: 3.5rem;
}
.navbar a:hover,
.navbar a.active {
  color: var(--main-color);
}
#menu-icon {
  position: relative;
  font-size: 3.6rem;
  color: var(--text-color);
  cursor: pointer;
  display: none;
}
section {
  min-height: 100vh;
  padding: 10rem, 9% 2rem;
}
.home {
  display: flex;
  align-items: center;
  padding: 0 9%;
  background: url("./image/bg-image.png") no-repeat;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-position: center;
}
.home .home-content h4 {
  color: #ffffff;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 12px;
  letter-spacing: 7.5px;
  margin-bottom: 15px;
}
.home .home-content h4::before {
  content: "-";
  font-size: 20px;
}
.home-content {
  max-width: 60rem;
}
.home-content h1 {
  position: relative;
  display: inline-block;
  font-size: 4.5rem;
  font-weight: 700;
  line-height: 1.3;
  color: var(--text-color);
}
/* animated text  */
.home-content .text-animate {
  position: relative;
  width: 55rem;
}
.home-content .text-animate h3 {
  font-size: 3.2rem;
  font-weight: 700;
  color: transparent;
  -webkit-text-stroke: 0.7px var(--main-color);
  background-image: linear-gradient(var(--main-color), var(--main-color));
  background-repeat: no-repeat;
  -webkit-background-clip: text;
  background-position: -55rem 0;
}
.home.show-animate .home-content .text-animate h3 {
  animation: homeBgText 6s linear infinite;
  animation-delay: 2s;
}
.home-content .text-animate h3::before {
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  border-right: 2px solid var(--main-color);
  z-index: 1;
}
.home.show-animate .home-content .text-animate h3::before {
  animation: homeCursorText 6s linear infinite;
  animation-delay: 2s;
}
.home-content p {
  position: relative;
  text-align: justify;
  width: 99%;
  font-size: 1.6rem;
  margin: 2rem 0 4rem;
}
/* button */
.btn-box {
  position: relative;
  display: flex;
  justify-content: space-between;
  width: 34.5rem;
  height: 5rem;
}
.btn-box .btn {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 15rem;
  height: 100%;
  background: var(--main-color);
  border: 0.2rem solid var(--main-color);
  border-radius: 0.8rem;
  font-size: 1.8rem;
  font-weight: 600;
  letter-spacing: 0.1rem;
  color: var(--bg-color);
  z-index: 1;
  overflow: hidden;
  transition: 0.5s;
}
.btn-box .btn:hover {
  color: var(--main-color);
}
.btn-box .btn:nth-child(2) {
  background: transparent;
  color: var(--main-color);
}
.btn-box .btn:nth-child(2):hover {
  color: var(--bg-color);
}
.btn-box .btn:nth-child(2)::before {
  background: var(--main-color);
}
.btn-box .btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--bg-color);
  z-index: -1;
  transition: 0.5s;
}
.btn-box .btn:hover::before {
  width: 100%;
}
/* social button logo */
.home-sci {
  position: absolute;
  bottom: 4rem;
  width: 150px;
  display: flex;
  justify-content: space-between;
}
.home-sci a {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background: transparent;
  border: 0.2rem solid var(--main-color);
  border-radius: 50%;
  font-size: 20px;
  color: var(--main-color);
  z-index: 1;
  overflow: hidden;
  transition: 0.5s;
}
.home-sci a:hover {
  color: var(--bg-color);
}
.home-sci a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--main-color);
  z-index: -1;
  transition: 0.5s;
}
.home-sci a:hover::before {
  width: 100%;
}

/* about section */
.about {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 2rem;
  background: var(--bg-color);
  padding-top: 7rem;
  padding-bottom: 7rem;
}
.heading {
  position: relative;
  font-size: 5rem;
  margin-bottom: 3rem;
  text-align: center;
}
span {
  color: var(--main-color);
}
.about-img {
  position: relative;
  width: 25rem;
  height: 25rem;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.about-img img {
  width: 90%;
  border-radius: 50%;
  border: 0.2rem solid var(--main-color);
}
/* image animation  */
.about-img .circle-spin {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(0);
  width: 100%;
  height: 100%;
  border-radius: 50%;
  border-top: 0.2rem solid var(--bg-color);
  border-bottom: 0.2rem solid var(--bg-color);
  border-left: 0.2rem solid var(--main-color);
  border-right: 0.2rem solid var(--main-color);
  animation: aboutSpinner 8s linear infinite;
}
.about-content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.about-content h3 {
  position: relative;
  margin-bottom: 3rem;
  margin-top: 3rem;
  display: inline-block;
  font-size: 2.6rem;
}
.about-content p {
  position: relative;
  text-align: justify;
  width: 70%;
  font-size: 1.6rem;
  margin: 2rem 0 3rem;
}
/* read more button */
.btn-box.btns {
  display: inline-block;
  width: 15rem;
}
.btn-box.btns a::before {
  background: var(--bg-color);
}
/* education section */
.education {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-height: 100vh;
  padding-top: 7rem;
  padding-bottom: 7rem;
  margin-left: 5rem;
  margin-right: 5rem;
}
.education .education-row {
  display: flex;
  flex-wrap: wrap;
  gap: 5rem;
  margin-top: 6rem;
}
.education-row .education-column {
  flex: 1 1 40rem;
}
.education-column .title {
  position: relative;
  display: inline-block;
  font-size: 2.5rem;
  margin: 0 0 2rem 2rem;
}
.education-column .education-box {
  position: relative;
  border-left: 0.2rem solid var(--main-color);
}
.education-box .education-content {
  position: relative;
  padding-left: 2rem;
}
.education-box .education-content::before {
  content: "";
  position: absolute;
  top: 0;
  left: -1.1rem;
  width: 2rem;
  height: 2rem;
  background: var(--main-color);
  border-radius: 50%;
}
.education-content .content {
  position: relative;
  padding: 1.5rem;
  border: 0.2rem solid var(--main-color);
  border-radius: 0.6rem;
  margin-bottom: 2rem;
  overflow: hidden;
}
.education-content .content::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--second-bg-color);
  z-index: -1;
  transition: 0.5s;
}
.education-content .content:hover::before {
  width: 100%;
}
.education-content .content .year {
  font-size: 1.5rem;
  color: var(--main-color);
  padding-bottom: 0.5rem;
}
.education-content .content .year i {
  padding-right: 0.5rem;
}
.education-content .content h3 {
  font-size: 2rem;
}
.education-content .content p {
  text-align: justify;
  font-size: 1.6rem;
  padding-top: 0.5rem;
}
/* Skill Section  */
.skills {
  min-height: 100vh;
  background: var(--bg-color);
  padding-top: 7rem;
  padding-bottom: 7rem;
  margin-left: 5rem;
  margin-right: 5rem;
}
.skills h2 {
  display: inline-block;
  left: 50%;
  transform: translate(-50%);
}
.skills-row {
  display: flex;
  flex-wrap: wrap;
  gap: 5rem;
  margin-top: 6rem;
}
.skills-row .skills-column {
  flex: 1 1 40rem;
}
.skills-column .title {
  position: relative;
  display: inline-block;
  font-size: 2.5rem;
  margin: 0 0 2rem 2rem;
}
.skills-column .skills-box {
  position: relative;
}
.skills-box .skills-content {
  position: relative;
  border: 0.2rem solid var(--main-color);
  border-radius: 0.6rem;
  padding: 0.5rem 1.5rem;
  z-index: 1;
  overflow: hidden;
}
.skills-box .skills-content::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--second-bg-color);
  z-index: -1;
  transition: 0.5s;
}
.skills-box .skills-content:hover::before {
  width: 100%;
}
.skills-content .progress {
  padding: 1rem 0;
}
.skills-content .progress h3 {
  font-size: 1.7rem;
  display: flex;
  justify-content: space-between;
}
.skills-content .progress h3 span {
  color: var(--text-color);
}
/* skill progress bar  */
.skills-content .progress .bar {
  height: 2.5rem;
  border-radius: 0.6rem;
  border: 0.2rem solid var(--main-color);
  padding: 0.5rem;
  margin: 1rem 0;
}
.skills-content .progress .bar span {
  display: block;
  height: 100%;
  border-radius: 0.3rem;
  background: var(--main-color);
}
/* coding skills bar */
/* c# */
.skills-column:nth-child(1) .skills-content .progress:nth-child(1) .bar span {
  width: 70%;
}
/* html & css */
.skills-column:nth-child(1) .skills-content .progress:nth-child(2) .bar span {
  width: 70%;
}
/* JavaScript */
.skills-column:nth-child(1) .skills-content .progress:nth-child(3) .bar span {
  width: 60%;
}
/* node.js  */
.skills-column:nth-child(1) .skills-content .progress:nth-child(4) .bar span {
  width: 50%;
}
/* react.js  */
.skills-column:nth-child(1) .skills-content .progress:nth-child(5) .bar span {
  width: 50%;
}
/* profesional skills  */
/* web development  */
.skills-column:nth-child(2) .skills-content .progress:nth-child(1) .bar span {
  width: 50%;
}
/* game development */
.skills-column:nth-child(2) .skills-content .progress:nth-child(2) .bar span {
  width: 70%;
}
/* 3d modelling  */
.skills-column:nth-child(2) .skills-content .progress:nth-child(3) .bar span {
  width: 80%;
}
/* 3d animation  */
.skills-column:nth-child(2) .skills-content .progress:nth-child(4) .bar span {
  width: 80%;
}
/* 2d creation and animation  */
.skills-column:nth-child(2) .skills-content .progress:nth-child(5) .bar span {
  width: 80%;
}
/* projects section  */
.projects {
  min-height: 100vh;
  padding-bottom: 0rem;
  padding-top: 7rem;
  padding-bottom: 7rem;
}
.projects-heading {
  position: relative;
  font-size: 5rem;
  margin-bottom: 3rem;
  text-align: center;
}
.projects h2 {
  margin-bottom: 10rem;
}
.projects .projects-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  gap: 2.5rem;
  margin-left: 5rem;
  margin-right: 5rem;
}
.projects-container .projects-box {
  position: relative;
  display: flex;
  border-radius: 2rem;
  box-shadow: 0 0 1rem rgba(255, 255, 255, 0.1);
  overflow: hidden;
}
.projects-box img {
  width: 100%;
  height: 29rem;
  transition: .5s ease;
}
.projects-box:hover img {
  transform: scale(1.1);

}
.projects-box .projects-layer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(rgba(0, 0, 0, .1), var(--second-bg-color));
  color: var(--text-color);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding: 0 4rem;
  opacity: 0;
  transition: .5s ease;
}
.projects-box:hover .projects-layer {
  opacity: 1;
}
.projects-layer h4 {
  font-size: 3rem;
}
.projects-layer p {
  text-align: justify;
  font-size: 1.6rem;
  margin: .3rem 0 1rem;
}
.projects-layer a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 5rem;
  height: 5rem;
  background: var(--text-color);
  border-radius: 50%;
}
.projects-layer i {
  font-size: 2rem;
  color: #333;
}
/* footer */
.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  padding: 2rem 9%;
  background: var(--second-bg-color);
}
.footer-text,
.footer-icon-top {
  position: relative;
}
.footer-text p {
  font-size: 1.6rem;
}
.footer-icon-top a {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 0.8rem;
  background: var(--main-color);
  border: 0.2rem solid var(--main-color);
  border-radius: 0.6rem;
  z-index: 1;
  overflow: hidden;
}
.footer-icon-top a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--bg-color);
  z-index: -1;
  transition: 0.5s;
}
.footer-icon-top a:hover::before {
  width: 100%;
}
.footer-icon-top a i {
  font-size: 2.4rem;
  color: var(--bg-color);
  transition: 0.5s;
}
.footer-icon-top a:hover i {
  color: var(--main-color);
}
/* Animation reload and scroll  */
.animate {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: var(--bg-color);
  z-index: 98;
}
.logo .animate,
.navbar .animate,
#menu-icon .animate{
  animation: showRight 1s ease forwards;
  animation-delay: calc(0.3s * var(--i));
}
.animate.scroll {
  transition: 1s ease;
  transition-delay: calc(0.3s / var(--i));
  animation: none;
}
section:nth-child(0) .animate.scroll {
  background: var(--second-bg-color);
}
.education .education-box .animate.scroll{
  width: 105%;
}
.about.show-animate .animate.scroll,
.education.show-animate .animate.scroll,
.skills.show-animate .animate.scroll,
.footer.show-animate .animate.scroll {
  transition-delay: calc(0.3s * var(--i));
  width: 0;
}

/* KEYFRAME ANIMATION  */
@keyframes homeBgText {
  0%,
  10%,
  100% {
    background-position: -55rem 0;
  }
  65%,
  85% {
    background-position: 0 0;
  }
}
@keyframes homeCursorText {
  0%,
  10%,
  100% {
    width: 0;
  }
  65%,
  78%,
  85% {
    width: 100%;
    opacity: 1;
  }
  75%,
  81% {
    opacity: 0;
  }
}
@keyframes aboutSpinner {
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
@keyframes showRight {
  100% {
    width: 0;
  }
}

/*---------Custom Scroll Bar-----------*/
::-webkit-scrollbar {
  width: 5px;
}
::-webkit-scrollbar-track {
  background: transparent;
}
::-webkit-scrollbar-thumb {
  background: white;
}